1 Reply Latest reply on Jan 15, 2019 8:54 PM by HirotakaT_91

    FX3のLinux用SDKについて

    NoAr_1540581

      FX3のLinux用SDKについて、

       

      Q1) "Ubuntu 16.04"や"18.04"または、それ以降への対応版のリリース予定があるでしょうか?あるならば何時頃リリースの予定でしょうか。

      Q2) 汎用サンプル(cyusb_linux_1.0.5.tar.gz)が、"Ubuntu 16.04"や"Ubuntu 18.04"に、そのまま使用できるでしょうか?

       また、出来ない場合どうすれば使用可能となるでしょうか?

       

      マクニカ/荒井

        • 1. Re: FX3のLinux用SDKについて
          HirotakaT_91

          (1/15 投稿)

          "fx3_sdk__linux\cyusb_linux_1.0.4\docs" にユーザーガイド(cyusb_linux_user_guide.pdf)があるのでCyUSB Suite for Linuxについて知りたい時はそれをご参照ください。

          Version 1.0.5は以下の環境でテストされています。他の環境での動作保証はできかねます。

           

          1. Linux Kernel - 3.13.0 ( stock kernel from http://www.kernel.org )

          2. Fedora - 14 distribution, Ubuntu 11.04, Ubuntu 12.04, Ubuntu 14.04

          3. Qt version 4.7

          4. libusb-1.0.16

           

          Ubuntu 16.04, 18.04への対応など各質問については社内で確認させていただきますので少々お待ちください。

          (1/16 以下更新)

          Ubuntuのバージョンの違いでSDKが動作しなくなることはないと想定されるため、Ubuntu16.04 or laterでもUbuntu14.04までと同様に動作すると思われます。

          ただ、サイプレスではテストしていません。

           

          また、現在(2019/01/16)のところ、FX3 SDK for Linuxの更新計画はありません。

           

          よろしくお願い致します。

          Hirotaka Takayama